class LogMagic::BaseExplainer
  include ::LogMagic::JSONUtils
  include ::LogMagic::TemplatingUtils

  def initialize
    @persistance_layer = ::LogMagic::PersistanceLayer.new
  end


  def start
    app = Proc.new do |env|
      @uuid = env['PATH_INFO'][1..-1]
      body = rendered_template

      ['200', {'Content-Type' => 'text/html', 'Content-Length' => body.length.to_s}, [body]]
    end

    Rack::Handler::WEBrick.run app, Port: self.class.port_number,
                                    Logger: WEBrick::Log::new('/tmp/log_magic.log')
  end
end
