require 'socket'
require 'timeout'

class LogMagic
  module PortUtils
    # copied from http://stackoverflow.com/questions/517219/ruby-see-if-a-port-is-open
    def self.port_open?(ip, port)
      begin
        Timeout::timeout(1) do
          begin
            s = TCPSocket.new(ip, port)
            s.close
            return true
          rescue Errno::ECONNREFUSED, Errno::EHOSTUNREACH
            return false
          end
        end
      rescue Timeout::Error
      end

      return false
    end
  end
end
