class LogMagic::BaseRefiner
  attr_accessor :lines

  def initialize
    @lines = []
  end

  def matches?
    lines.last.force_encoding("utf-8") =~ line_match_regex
  end

  def persistance_layer
    @persistance_layer ||= ::LogMagic::PersistanceLayer.new
  end
end
